--- old/usr/src/uts/common/dtrace/sdt_subr.c	2014-04-12 11:18:55.682144226 +0000
+++ new/usr/src/uts/common/dtrace/sdt_subr.c	2014-04-12 11:18:55.691055116 +0000
@@ -107,6 +107,7 @@
 	{ "ip", "__ip_", &stab_attr, 0 },
 	{ "tcp", "__tcp_", &stab_attr, 0 },
 	{ "udp", "__udp_", &stab_attr, 0 },
+	{ "sctp", "__sctp_", &stab_attr, 0 },
 	{ "mib", "__mib_", &stab_attr, 0 },
 	{ "fsinfo", "__fsinfo_", &fsinfo_attr, 0 },
 	{ "iscsi", "__iscsi_", &iscsi_attr, 0 },
@@ -943,6 +944,12 @@
 	{ "udp", "receive", 3, 3, "udp_t *", "udpsinfo_t *" },
 	{ "udp", "receive", 4, 4, "udpha_t *", "udpinfo_t *" },
 
+	{ "sctp", "send", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "sctp", "send", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "sctp", "send", 2, 2, "void_ip_t *", "ipinfo_t *" },
+	{ "sctp", "send", 3, 3, "sctp_t *", "sctpsinfo_t *" },
+	{ "sctp", "send", 4, 4, "sctp_hdr_t *", "sctpinfo_t *" },
+
 	{ "sysevent", "post", 0, 0, "evch_bind_t *", "syseventchaninfo_t *" },
 	{ "sysevent", "post", 1, 1, "sysevent_impl_t *", "syseventinfo_t *" },
 
